<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */


/*
 * Cronjobs
 */

// Falls cronjob.php in ein anderes Verzeichnis verschoben wird, 
// muss der Pfad zum Verzeichnis der Filmverwaltung angegeben werden.
$path = "./";

require($path."includes/functions.php");
require($path."classes/class.db.php");
require($path."classes/class.settings.php");
require($path."classes/class.phpmailer.php");
require($path."settings/admin.php");


$myDB = new db($server, $username, $pass, $dbase, $prefix, $MySQL_Ver);
$settings = new settings( $myDB );

$debug = FALSE;


// speichere AdminName fr weitere Mails
$AdminName = $settings->mailFromName;
$AdminMail = $settings->mailFrom;


// Mail an Admin schicken, wenn Reservieurngen gettigt worden sind
// In neue Datei ausgegliedert um perodische Ausfhrung des Jobs fter
// zu ermglichen.
if ( TRUE )
{
    $message = "";
  
    $sql = "SELECT DISTINCT UserID, UserName FROM $myDB->RESERVIERUNG INNER JOIN $myDB->USERS ON UserID = USERS_UserID WHERE AdminMessage = 0 ORDER BY UserName";
    $rs = $myDB->go($sql);
    for( $i = 0; $row = $myDB->getRow($rs); ++$i )
    {
        $sql3 = "SELECT COUNT(*) AS Anz FROM $myDB->RESERVIERUNG WHERE USERS_UserID = {$row['UserID']} GROUP BY FILME_FilmID";
        $rs3 = $myDB->go($sql3);
        $row3['Anz'] = mysql_num_rows($rs3);
        //$row3 = $myDB->getRow($rs3);
        if ( $row3['Anz'] == 1 )
            $message_anz = $row['UserName'] . " hat einen Film reserviert:\n";
        else
            $message_anz = $row['UserName'] . " hat" . $row3['Anz']. "Filme reserviert\n";

        $sql2 = "SELECT FilmID, COLLECT_CollectID, myFilmID, Titel, reserviertAm FROM $myDB->FILME fi INNER JOIN $myDB->RESERVIERUNG re ON FILME_FilmID=FilmID WHERE re.USERS_UserID = {$row['UserID']} ORDER BY Titel";
        $rs2 = $myDB->go($sql2);
        while( $row2 = $myDB->getRow($rs2) )
        {
          $message = $message_anz . $row2['Titel']."\n";
          $sql = "UPDATE $myDB->RESERVIERUNG SET AdminMessage = 1 WHERE FILME_FilmID = {$row2['FilmID']}";
          $myDB->go($sql);
        }
    }

        if ( $i )
            {
            $name = ret_entities( $row['UserName'] );
            $message = "Hallo $AdminName,\n\n".$message;
            
            if ( !$debug && $i )
                echo myMail( $AdminMail, $AdminName, "neue Reservierungen", $message, $settings );
            else
                echo nl2br($message."\n\n");
        }
}

?>
